# CraftBook Mechanism Configuration. Generated for version: 3.9-SNAPSHOT-5d70ea6a9
# This configuration will automatically add new configuration options for you,
# So there is no need to regenerate this configuration unless you need to.
# More information about these features are available at...
# http://wiki.sk89q.com/wiki/CraftBook/Usage
#
# NOTE! MAKE SURE TO ENABLE FEATURES IN THE config.yml FILE!

mechanics:
    AI:
        vision-enable:
        - Zombie
        - PigZombie
        crit-bow-enable:
        - Skeleton
        attack-passive-enable:
        - Zombie
    Ammeter:
        item: minecraft:coal
    BetterLeads:
        stop-mob-target: false
        owner-unleash-only: false
        hitch-persists: false
        mob-repel: false
        allowed-mobs:
        - ZOMBIE
        - SPIDER
    BetterPhysics:
        falling-ladders: true
    BetterPistons:
        crushers: true
        crushers-kill-mobs: false
        crusher-blacklist:
        - minecraft:obsidian
        - minecraft:bedrock
        - minecraft:nether_portal
        - minecraft:end_portal
        - minecraft:end_portal_frame
        - minecraft:end_gateway
        super-sticky: true
        super-push: true
        movement-blacklist:
        - minecraft:obsidian
        - minecraft:bedrock
        - minecraft:nether_portal
        - minecraft:end_portal
        - minecraft:end_portal_frame
        - minecraft:end_gateway
        bounce: true
        bounce-blacklist:
        - minecraft:obsidian
        - minecraft:bedrock
        - minecraft:nether_portal
        - minecraft:end_portal
        - minecraft:end_portal_frame
        - minecraft:end_gateway
        max-distance: 12
        bounce-max-velocity: 5.0
    BetterPlants:
        fern-farming: true
        fast-random-ticks: true
    BoatDecay:
        time-in-ticks: 20
    BoatExitRemover:
        give-item: false
    BoatRemoveEntities:
        remove-other-boats: false
    BoatSpeedModifiers:
        max-speed: 0.4
        unnoccupied-deceleration: -1.0
        occupied-deceleration: 0.2
    Bookcase:
        read-when-sneaking: 'no'
        read-when-holding-block: false
    BounceBlocks:
        blocks:
        - minecraft:diamond_block
        sensitivity: 0.1
        auto-blocks: {}
    Bridge:
        enforce-type: true
        allow-redstone: true
        max-length: 30
        max-width: 5
        blocks:
        - minecraft:acacia_planks
        - minecraft:acacia_slab
        - minecraft:andesite_slab
        - minecraft:birch_planks
        - minecraft:birch_slab
        - minecraft:brick_slab
        - minecraft:cobblestone
        - minecraft:cobblestone_slab
        - minecraft:cut_red_sandstone_slab
        - minecraft:cut_sandstone_slab
        - minecraft:dark_oak_planks
        - minecraft:dark_oak_slab
        - minecraft:dark_prismarine_slab
        - minecraft:diorite_slab
        - minecraft:end_stone_brick_slab
        - minecraft:glass
        - minecraft:granite_slab
        - minecraft:jungle_planks
        - minecraft:jungle_slab
        - minecraft:mossy_cobblestone_slab
        - minecraft:mossy_stone_brick_slab
        - minecraft:nether_brick_slab
        - minecraft:oak_planks
        - minecraft:oak_slab
        - minecraft:petrified_oak_slab
        - minecraft:polished_andesite_slab
        - minecraft:polished_diorite_slab
        - minecraft:polished_granite_slab
        - minecraft:prismarine_brick_slab
        - minecraft:prismarine_slab
        - minecraft:purpur_slab
        - minecraft:quartz_slab
        - minecraft:red_nether_brick_slab
        - minecraft:red_sandstone_slab
        - minecraft:sandstone_slab
        - minecraft:smooth_quartz_slab
        - minecraft:smooth_red_sandstone_slab
        - minecraft:smooth_sandstone_slab
        - minecraft:smooth_stone_slab
        - minecraft:spruce_planks
        - minecraft:spruce_slab
        - minecraft:stone_brick_slab
        - minecraft:stone_slab
    Cauldron:
        spoons: true
        enable-redstone: false
        item-tracking: false
        require-sign: false
    Chairs:
        allow-holding-blocks: false
        regen-health: true
        regen-health-amount: 1.0
        blocks:
        - minecraft:acacia_stairs
        - minecraft:andesite_stairs
        - minecraft:birch_stairs
        - minecraft:brick_stairs
        - minecraft:cobblestone_stairs
        - minecraft:dark_oak_stairs
        - minecraft:dark_prismarine_stairs
        - minecraft:diorite_stairs
        - minecraft:end_stone_brick_stairs
        - minecraft:granite_stairs
        - minecraft:jungle_stairs
        - minecraft:mossy_cobblestone_stairs
        - minecraft:mossy_stone_brick_stairs
        - minecraft:nether_brick_stairs
        - minecraft:oak_stairs
        - minecraft:polished_andesite_stairs
        - minecraft:polished_diorite_stairs
        - minecraft:polished_granite_stairs
        - minecraft:prismarine_brick_stairs
        - minecraft:prismarine_stairs
        - minecraft:purpur_stairs
        - minecraft:quartz_stairs
        - minecraft:red_nether_brick_stairs
        - minecraft:red_sandstone_stairs
        - minecraft:sandstone_stairs
        - minecraft:smooth_quartz_stairs
        - minecraft:smooth_red_sandstone_stairs
        - minecraft:smooth_sandstone_stairs
        - minecraft:spruce_stairs
        - minecraft:stone_brick_stairs
        - minecraft:stone_stairs
        face-correct-direction: true
        require-sign: false
        max-distance: 3
        max-click-radius: 5
    ChunkAnchor:
        enable-redstone: true
        check-chunks: true
    CommandSigns:
        allow-redstone: true
    CookingPot:
        allow-redstone: true
        require-fuel: true
        cook-ores: false
        sign-click-open: true
        take-buckets: false
        super-fast-cooking: false
        heating: false
        chunk-limit: false
    CustomDrops:
        require-permissions: false
        remove-vanilla-drops: false
    DispenserRecipes:
        cannon-enable: true
        fan-enable: true
        fire-arrows-enable: true
        snow-shooter-enable: true
        xp-shooter-enable: true
    Door:
        enforce-type: true
        allow-redstone: true
        max-length: 30
        max-width: 5
        blocks:
        - minecraft:acacia_planks
        - minecraft:acacia_slab
        - minecraft:andesite_slab
        - minecraft:birch_planks
        - minecraft:birch_slab
        - minecraft:brick_slab
        - minecraft:cobblestone
        - minecraft:cobblestone_slab
        - minecraft:cut_red_sandstone_slab
        - minecraft:cut_sandstone_slab
        - minecraft:dark_oak_planks
        - minecraft:dark_oak_slab
        - minecraft:dark_prismarine_slab
        - minecraft:diorite_slab
        - minecraft:end_stone_brick_slab
        - minecraft:glass
        - minecraft:granite_slab
        - minecraft:jungle_planks
        - minecraft:jungle_slab
        - minecraft:mossy_cobblestone_slab
        - minecraft:mossy_stone_brick_slab
        - minecraft:nether_brick_slab
        - minecraft:oak_planks
        - minecraft:oak_slab
        - minecraft:petrified_oak_slab
        - minecraft:polished_andesite_slab
        - minecraft:polished_diorite_slab
        - minecraft:polished_granite_slab
        - minecraft:prismarine_brick_slab
        - minecraft:prismarine_slab
        - minecraft:purpur_slab
        - minecraft:quartz_slab
        - minecraft:red_nether_brick_slab
        - minecraft:red_sandstone_slab
        - minecraft:sandstone_slab
        - minecraft:smooth_quartz_slab
        - minecraft:smooth_red_sandstone_slab
        - minecraft:smooth_sandstone_slab
        - minecraft:smooth_stone_slab
        - minecraft:spruce_planks
        - minecraft:spruce_slab
        - minecraft:stone_brick_slab
        - minecraft:stone_slab
    Elevator:
        allow-redstone: false
        redstone-player-search-radius: 3
        enable-buttons: true
        allow-looping: false
        smooth-movement: false
        smooth-movement-speed: 0.5
    Footprints:
        blocks:
        - minecraft:dirt
        - minecraft:sand
        - minecraft:snow
        - minecraft:snow_block
        - minecraft:ice
        - minecraft:red_sand
    Gate:
        allow-redstone: true
        limit-columns: true
        max-columns: 14
        blocks:
        - minecraft:acacia_fence
        - minecraft:birch_fence
        - minecraft:jungle_fence
        - minecraft:oak_fence
        - minecraft:spruce_fence
        - minecraft:dark_oak_fence
        - minecraft:nether_brick_fence
        - minecraft:iron_bars
        - minecraft:glass_pane
        enforce-type: true
        max-column-height: 12
        gate-search-radius: 3
    Glowstone:
        glowstone-off-block: minecraft:glass
    HeadDrops:
        drop-mob-heads: true
        drop-player-heads: true
        require-player-killed: true
        drop-head-when-mined: true
        override-natural-head-drops: false
        drop-rate: 0.05
        looting-rate-modifier: 0.05
        show-name-right-click: true
        drop-rates: {}
        custom-mob-skins: {}
        ignored-names:
        - cscorelib
    HiddenSwitch:
        any-side: true
    ICs:
        cache: true
        max-radius: 10.0
        allow-short-hand: true
        keep-loaded: false
        disallowed-ics: []
        default-coordinate-system: RELATIVE
        save-persistent-data: true
        midi-use-percussion: false
        break-on-error: false
        disable-self-triggered: false
    LegacyCauldron:
        block: minecraft:stone
    LightStone:
        item: minecraft:glowstone_dust
    LightSwitch:
        max-range: 10
        max-lights: 20
    MinecartBooster:
        max-boost-block: minecraft:gold_block
        25x-boost-block: minecraft:gold_ore
        50x-slow-block: minecraft:soul_sand
        20x-slow-block: minecraft:gravel
    MinecartConstantSpeed:
        speed: 0.5
        ignore-powered-rail: false
    MinecartDecay:
        time-in-ticks: 20
    MinecartDeposit:
        block: minecraft:iron_ore
    MinecartDispenser:
        block: minecraft:emerald_ore
        spawn-infront: false
        check-for-carts: true
        propel-cart: false
    MinecartEjector:
        block: minecraft:iron_block
    MinecartElevator:
        block: minecraft:nether_bricks
    MinecartExitRemover:
        give-item: false
    MinecartFallModifier:
        vertical-fall-speed: 0.9
        horizontal-fall-speed: 1.1
    MinecartMaxSpeed:
        block: minecraft:coal_block
    MinecartMessenger:
        block: minecraft:end_stone
    MinecartMoreRails:
        pressure-plate-intersection: false
        ladder-vertical-rail: false
        ladder-vertical-rail-velocity: 0.5
    MinecartNoCollide:
        empty-carts: true
        full-carts: false
    MinecartRemoveEntities:
        remove-other-minecarts: false
        allow-empty-carts: false
        damage-players: true
    MinecartReverser:
        block: minecraft:white_wool
    MinecartSorter:
        block: minecraft:netherrack
    MinecartSpeedModifiers:
        max-speed: 1.0
        off-rail-speed: 0.0
    MinecartStation:
        block: minecraft:obsidian
    MinecartTeleporter:
        block: minecraft:emerald_block
    MinecartVisionSteering:
        minimum-sensitivity: 3
    Pipes:
        allow-diagonal: false
        insulator-block: minecraft:white_wool
        stack-per-move: true
        require-sign: false
    SignCopier:
        item: minecraft:ink_sac
    Snow:
        piling: false
        trample: false
        partial-trample-only: false
        jump-trample: false
        place: false
        slowdown: false
        realistic: false
        high-piling: false
        max-pile-height: 3
        replacable-blocks:
        - minecraft:dead_bush
        - minecraft:grass
        - minecraft:dandelion
        - minecraft:poppy
        - minecraft:brown_mushroom
        - minecraft:red_mushroom
        - minecraft:fire
        - minecraft:fern
        animate-falling: false
        falldown-animation-speed: 5
        freeze-water: false
        melt-in-sunlight: false
        partial-melt-only: false
    Sponge:
        radius: 5
        circular-radius: true
        require-redstone: false
        include-wet: false
    Teleporter:
        require-sign: false
        max-range: 0
    ToggleArea:
        allow-redstone: true
        use-schematics: true
        shorten-long-names: true
        max-size: 5000
        max-per-user: 30
    TreeLopper:
        block-list:
        - minecraft:acacia_log
        - minecraft:acacia_wood
        - minecraft:birch_log
        - minecraft:birch_wood
        - minecraft:dark_oak_log
        - minecraft:dark_oak_wood
        - minecraft:jungle_log
        - minecraft:jungle_wood
        - minecraft:oak_log
        - minecraft:oak_wood
        - minecraft:spruce_log
        - minecraft:spruce_wood
        - minecraft:stripped_acacia_log
        - minecraft:stripped_acacia_wood
        - minecraft:stripped_birch_log
        - minecraft:stripped_birch_wood
        - minecraft:stripped_dark_oak_log
        - minecraft:stripped_dark_oak_wood
        - minecraft:stripped_jungle_log
        - minecraft:stripped_jungle_wood
        - minecraft:stripped_oak_log
        - minecraft:stripped_oak_wood
        - minecraft:stripped_spruce_log
        - minecraft:stripped_spruce_wood
        tool-list:
        - minecraft:iron_axe
        - minecraft:wooden_axe
        - minecraft:stone_axe
        - minecraft:diamond_axe
        - minecraft:golden_axe
        max-size: 30
        allow-diagonals: false
        place-saplings: false
        break-leaves: false
        single-damage-axe: false
    Variables:
        default-to-global: false
        enable-in-console: false
        enable-in-player-commands: false
        enable-in-player-chat: false
        override-all-text: false
    XPStorer:
        require-bottle: true
        xp-per-bottle: 16
        block: minecraft:mob_spawner
        require-sneaking-state: 'yes'
        radius-mode: false
        radius: 5
